Skip to main content

List Groups (V2)

Lists SCIM groups in the calling organization.

GET/v2/groups
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
groupNamestringquery

A substring to match against group display names.

Example Value: eng
currentPageintegerquery

The page number to return. The first page is 1.

Example Value: 1
pageSizeintegerquery

The number of items to return per page.

Example Value: 10
bash
export TOKEN="YOUR_API_KEY"

curl --request GET \
--url "${BASE_URL}/v2/groups" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns a successful result or an error message.

A successful response.

codeintegerrequired

The response code.

Example Value: 0
dataobjectrequired
countintegerrequired

The total number of matching items.

currentPageintegerrequired

The current page number.

Value Range: ≥ 1
pageSizeintegerrequired

The requested page size.

Value Range: ≥ 1
groupsarrayrequired

The groups returned on this page.

[]groupsobjectrequired
groupIdstringrequired

The SCIM group ID.

groupNamestringrequired

The group display name.

memberCountintegerrequired

The number of members in the group.

A failure response.

codeintegerrequired

The response code.

messagestringrequired

The error message.

Successjson
{
"code": 0,
"data": {
"count": 2,
"currentPage": 1,
"pageSize": 10,
"groups": [
{
"groupId": "g-xxxxxxxxxxxxxx",
"groupName": "engineering",
"memberCount": 12
},
{
"groupId": "g-yyyyyyyyyyyyyy",
"groupName": "data-readers",
"memberCount": 3
}
]
}
}
Ctrl I